package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;



@Entity
@Table(name="tb_lib_vip_doc")
public class LibVipDoc extends BaseEntity {

	private static final long serialVersionUID = 1L;

	private String vipId;
	
	private String howDetailsId;
	
	private String name;
	
	private String state;
	
	private Integer source;
	
	private Integer wrongNum;
	
	private Integer countNum;
	
	private Date createTime;


	public Integer getWrongNum() {
		return wrongNum;
	}

	public void setWrongNum(Integer wrongNum) {
		this.wrongNum = wrongNum;
	}

	public Integer getCountNum() {
		return countNum;
	}

	public void setCountNum(Integer countNum) {
		this.countNum = countNum;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getHowDetailsId() {
		return howDetailsId;
	}

	public void setHowDetailsId(String howDetailsId) {
		this.howDetailsId = howDetailsId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	public Integer getSource() {
		return source;
	}

	public void setSource(Integer source) {
		this.source = source;
	}


public class ConstantState {  
        public static final String ALL_MASTER = "完全掌握";  //完全掌握
        public static final String NOT_MASTER = "未掌握";  //未掌握
        public static final String PART_MASTER = "部分掌握";  //部分掌握
        public static final String BIT_MASTER = "比较生疏";  //比较生疏
        public static final String NO_MASTER = "完全不懂";  //完全不懂
    }

}
